summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2014-01-21 10:37:51 +0100
committerUlrich Müller <ulm@gentoo.org>2014-01-21 10:37:51 +0100
commit834078a9b1f289bcf42a4677c28822352a21f56c (patch)
tree76bd047b351e2ba80b9b1be82b845981b37cfced /www-client/conkeror/files/conkeror.sh
parentMerge changes from emacs-vcs (diff)
downloademacs-834078a9b1f289bcf42a4677c28822352a21f56c.tar.gz
emacs-834078a9b1f289bcf42a4677c28822352a21f56c.tar.bz2
emacs-834078a9b1f289bcf42a4677c28822352a21f56c.zip
Copied from Portage tree. Fixes for live ebuild contributed by Jauhien Piatlicki <piatlicki@gmail.com> in bug 497024.
Package-Manager: portage-2.2.8-r1
Diffstat (limited to 'www-client/conkeror/files/conkeror.sh')
-rw-r--r--www-client/conkeror/files/conkeror.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/www-client/conkeror/files/conkeror.sh b/www-client/conkeror/files/conkeror.sh
new file mode 100644
index 0000000..e00077b
--- /dev/null
+++ b/www-client/conkeror/files/conkeror.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+# Wrapper script for conkeror
+
+for cmd in firefox firefox-bin; do
+ xr=$(type -p ${cmd})
+ if [[ -n ${xr} ]]; then
+ exec "${xr}" -app /usr/share/conkeror/application.ini "$@"
+ fi
+done
+
+echo "$0: firefox required, but not found." >&2
+exit 1